Támogatás keresése

Kerülje el a támogatási csalásokat. Sosem kérjük arra, hogy hívjon fel egy telefonszámot vagy osszon meg személyes információkat. Jelentse a gyanús tevékenységeket a „Visszaélés bejelentése” lehetőséggel.

Learn More

A témacsoportot lezárták és archiválták. Tegyen fel új kérdést, ha segítségre van szüksége.

Linux alatt: miért nem engedi futni?

  • 3 válasz
  • 1 embernek van ilyen problémája
  • 3 megtekintés
  • Utolsó üzenet ettől: Meskó Balázs

more options

LinixMint 18.3 alatt frissített a Firefox. Ettől kezdve nem fut a HamSphere_3.0.2.3.jar, pedig eddig futott. Engedélyezve van a jogosultság is, a fájl írás olvasás és futtatás is! Miért nem engedi futni? Hogyan lehet visszacsinálni a frissítést?

A hibaüzenet ez: The file 'file:///home/csoknya/Letöltések/hamsphere_4.010-setup.tar.gz' is not marked as executable.

Köszi szépen! HG3LCO de Sándor

Módosította: Meskó Balázs,

Összes válasz (3)

more options

Szia!

Az esetnek sok köze nem lehet a Firefoxhoz. Egy jar fájl eleve nem egy futtatható állomány, hanem a java -jar HamSphere_3.0.2.3.jar parancsal lehet elindítani. A hibaüzenet amit csatoltál az meg egy .tar.gz fájlról szól, ami egy tömörített állomány, és szintén nem futtatható. Ez utóbbi az Archívumkezelővel tudod kibontani (vagy: tar zxvf hamsphere_4.010-setup.tar.gz).

Írd le pontosan, hogy mit szeretnél elérni, és akkor hatékonyabban tudok segíteni.

Üdv, Balázs

more options

Szia! Igen , bocs kettő dolgot egyszerre szerettem volna, de pontosítanék. A : HamSphere_3.0.2.3.jar fájl eddig elindítható volt a következővel: OpenJDK Java8 Runtime. De hibaüzenet : The file 'file:///home/csoknya/Letöltések/hamsphere_3.0.2.3.jar' is not marked as executable. If this was downloaded or copied from an untrusted source, it may be dangerous to run. For more details, read about the executable bit. Az "executable bit" inverz kék színű és egy link amely a küvetkező oldalra visz> https://wiki.ubuntu.com/Security/ExecutableBit. Ami szerintem hűlyeség, mert előzüleg a fájlban már kiadtam a jogosultságoknál az executable bejelölést . .. .szerintem. Itten megált a tudományom. . .sajnos. Kösz előre is és bocsi az értetlenkedésért. üdvözlettel: 73 hg3lco de sándor

more options

Nos kipróbáltam egy Mint19 virtuális gépben. A 3.0.3.2 és 3.1.3 is működik, nézd meg újra, hogy tényleg be van állítva, hogy futtatható. Emellett érdemes kipróbálni a következőket egy terminálban:

cd Letöltések
ls -la

Ez kilistázza fájlokat, itt nézd meg, hogy tényleg szerepel-e az x a fájl mellett, a fájl sora így kellene kezdődjön:

-rwxrwxr-x

Ha így van, akkor kellene mennie a dupla kattintásos indításnak. Ha még mindig nem jó, akkor futtasd így a Letöltések mappában:

java -jar hamsphere_3.0.3.2.jar